function gen(val) {
  let name
  let hasEn
  if (val instanceof Array) {
    name = val[0]
    hasEn = true
  } else {
    name = val
  }
  convertName = name
    .split(' ')
    .map((val, idx) => {
      if (idx > 0) {
        return val[0].toUpperCase() + val.slice(1)
      }
      return val
    })
    .join('')
  console.log(`- { label: "${name}", name: "${convertName}", widget: "string"}`)
  if (hasEn) {
    console.log(
      `- { label: "${name}EN", name: "${convertName}EN", widget: "string"}`
    )
  }
}
function gencode(val) {
  if (val instanceof Array) {
    console.log(val[0] + ',')
    console.log(val[0] + 'EN,')
  } else {
    console.log(val + ',')
  }
}

[['name'], ['role'], ['saying'],['summary'], ['hiddenSummary1'], ['hiddenSummary2'],'portrait', ['knowMore'], ['cultureTitle'], ['culture'],['cultureSummary'], ['valueTitle'],['value']].map(gen)
// [['birth'], ['title2'], ['subTitle2'],['philosophy'],['title3'], ['subTitle3'], ['recognition'],['source'],['award']].map(gen)
//foot:[['email'],'emailStr' ['phone'], 'phoneStr', ['fax'], 'faxStr' ['wechat'], ['beijing'], ['shanghai'], ['shenzhen'], ['xianggang'],['beijingloc'], ['shanghailoc'], ['shenzhenloc'], ['xianggangloc'],'wechatimg'].map(gen)
// ;[
//   ['team summary title'],
//   ['team summary text'],
//   ['team summary entry'],
//   ['news summary title'],
//   ['new summary entry'],
//   ['ronghui summary title'],
//   ['ronghui summary text'],
//   ['ronghui sumnmary entry']
// ].map(gen)
